#ifndef _FONT_H_
#define _FONT_H_
#include "graphics.h" 
#include <string.h>


enum FONTS { FONT01, FONT02, FONT03, LAST_FONT };

#define FONT01NAME "font01.png"
#define FONT01CHARS " !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^"
#define FONT01W 8
#define FONT01H 8

#define FONT02NAME "font02.png"
#define FONT02CHARS " !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^"
#define FONT02W 8
#define FONT02H 8

#define FONT03NAME "bigfont.png"
#define FONT03CHARS "ABCDEFGHIJKLMNOPQRSTUVWXYZ,-./0123456789:<>?'[]#!@ "
#define FONT03W 16 
#define FONT03H 16 



typedef struct {
	char filename[256];
	Image *fontimg;
	int w;
	int h;
	char charorder[256];
} FONT;

void font_init();
void draw_string(char *text,int fontnr, int x, int y);
void draw_big_string(char *text, int x, int y);

#endif
